﻿using ProjectAirline.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirline.Entities;

public class Employee
{
    public int Id { get; private set; }
    public string FirstName { get; private set; } = string.Empty;
    public string LastName { get; private set; } = string.Empty;
    public string ContactInformation { get; private set; } = string.Empty;
    public EmployeePost EmployeePost { get; private set; }
    public static Employee CreateEntity(int id, string first, string last, string contactInfo,
    EmployeePost employeePost)
    {
        return new Employee
        {
            Id = id,
            FirstName = first ?? string.Empty,
            LastName = last ?? string.Empty,
            ContactInformation = contactInfo ?? string.Empty,
            EmployeePost = employeePost
        };
    }
}
