﻿using ProjectAirline.Entities.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAirline.Entities;

public class Passenger
{
    public int Id { get; private set; }
    public FoodPreferences FoodPreferences { get; private set; }
    public string FirstName { get; private set; } = string.Empty;
    public string LastName { get; private set; } = string.Empty;
    public DateTime DateBirth { get; private set; }
    public static Passenger CreateEntity (int id, FoodPreferences foodPreferences, string first, string last, DateTime dateTime)
    {
        return new Passenger 
        { 
            Id = id,
            FoodPreferences = foodPreferences,
            FirstName = first ?? string.Empty,
            LastName = last ?? string.Empty,
            DateBirth = dateTime
        };
    }
}
