using ProjectAirline.Forms;
using Unity;

namespace ProjectAirline
{
    public partial class FormAirline : Form
    {
        private readonly IUnityContainer _container;

        public FormAirline(IUnityContainer container)
        {
            InitializeComponent();
            _container = container ?? throw new ArgumentNullException(nameof(container));
        }

        private void AirplaneToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormAirplanes>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void EmployeeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormEmployees>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void PassengerToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormPassengers>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void FlightToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormFlights>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void TicketToolStripMenuItem_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormTickets>().ShowDialog();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "  ", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
